#!/bin/sh
#Scriptfile for starting and stopping CCcam
#Script has been modified to enable both x86 and x86_64 versions
#Scriptwriting done by CC_Share
#For support and more info visit http://www.eurocardsharing.com

#Setting variables
CAMNAME="CCcam Server"
CAMDIR="/emu/cccam"
LOGDIR="/emu/log"
# end

# Checking what CCcam version is used on this computer.
if [ ! -f $CAMDIR/CCcam.x86_64 ]
	then
	CAM="CCcam.x86"
else
	CAM="CCcam.x86_64"
fi

# Checking for pid file existance
if [ ! -f $CAMDIR/cccam.pid ]
	then
	echo "No pidfile exists, Creating PID for CCcam"
else
	rm $CAMDIR/cccam.pid
	echo "Pidfile allready found, Removing old pidfile"
fi

pidof $CAM > $CAMDIR/cccam.pid
PID=$(exec cat $CAMDIR/cccam.pid)

# This method starts CCcam
start_cam ()
{
$CAMDIR/$CAM -dv >> /$LOGDIR/debug.txt &
sleep 5 
}
# This method stops CCcam
stop_cam ()
{
kill -9 $PID
sleep 5 
}
case "$1" in
start)
echo "[SCRIPT] $1: $CAMNAME"
start_cam
;;
stop)
echo "[SCRIPT] $1: $CAMNAME"
stop_cam
;;
restart)
echo "Restarting $CAMNAME"
stop_cam
start_cam
;;
*)
"$0" stop
exit 1
;;
esac
exit 0
