#!/bin/sh
# Automated script for updating and backup up CCcam.cfg files
# This script should be placed in crontab and run once a day
# It looks for a new cfg file, and backups old one if needed.
# If a new config is found, CCcam is restarted after a new config is in place
#
# Script written by CC_Share
# For more info or support, visit http://www.eurocardsharing.com

SOURCE=/home/cccam
TARGET=/var/etc
FILE=CCcam.cfg
BACKUPDIR=/var/backup
CONFIGOLD=CCcam.old

if test -f $SOURCE/$FILE ; then
	echo "New Config Present"
	echo "Stopping CCcam Server"
	cccam stop
	sleep 2
	if test -d $BACKUPDIR ; then
		if test -f $BACKUPDIR/$CONFIGOLD ; then
		echo "Removing OLD config file from backup directory"
		rm $BACKUPDIR/$CONFIGOLD
		else
		echo "No OLD config to remove."
		fi
		
                if test -f $BACKUPDIR/$FILE ; then
                echo "Renaming Backup to old config"
                cp $BACKUPDIR/$FILE $BACKUPDIR/$CONFIGOLD
                rm $BACKUPDIR/$FILE
                else
                echo "No Backupfile present yet"
                fi

                if test -f $TARGET/$FILE ; then
                echo "Copying Original config to Backup directory"
                cp $TARGET/$FILE $BACKUPDIR
                rm $TARGET/$FILE
                else
                echo "No Original Config File Present!?!?"
                fi
	else
	echo "Backup directory does not exist."
	echo "making new directory"
	mkdir $BACKUPDIR
                if test -f $TARGET/$FILE ; then
                echo "Copying Original config to Backup directory"
                cp $TARGET/$FILE $BACKUPDIR
                else
                echo "No Original Config File Present!?!?"
                fi
	fi
	echo "Moving New config file to "$TARGET
	cp $SOURCE/$FILE $TARGET
	rm $SOURCE/$FILE
	echo "Starting CCcam server again"
	cccam start
else
echo "No New Config present, Nothing to process"
fi
exit

